# Class UpholdAccountPayload

#### Hierarchy

- unknown
  - UpholdAccountPayload

- Defined in src/protobuf/pb_pb.d.ts:4542
- Defined in src/protobuf/pb_pb.d.ts:4557

#####
Index

### Constructors

constructor

### Methods

getAccountId
getAccountOwner
serializeBinary
setAccountId
setAccountOwner
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new UpholdAccountPayload(): UpholdAccountPayload

- #### Returns UpholdAccountPayload

  Inherited from jspb.Message.constructor

## Methods

### getAccountId

- getAccountId(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:4543

### getAccountOwner

- getAccountOwner(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:4546

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:4549

### setAccountId

- setAccountId(value: string): UpholdAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns UpholdAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4544

### setAccountOwner

- setAccountOwner(value: string): UpholdAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns UpholdAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4547

### toObject

- toObject(includeInstance?: boolean): UpholdAccountPayload.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns UpholdAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:4550

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): UpholdAccountPayload

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns UpholdAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4553

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: UpholdAccountPayload, reader: BinaryReader): UpholdAccountPayload

- #### Parameters

  - ##### message: UpholdAccountPayload

  - ##### reader: BinaryReader

  #### Returns UpholdAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4554

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: UpholdAccountPayload, writer: BinaryWriter): void

- #### Parameters

  - ##### message: UpholdAccountPayload

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:4552

### `Static` toObject

- toObject(includeInstance: boolean, msg: UpholdAccountPayload): UpholdAccountPayload.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: UpholdAccountPayload

  #### Returns UpholdAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:4551

Generated using TypeDoc